Indexes   

HybridShapeCombine (Object)

Represents the hybrid shape combined curve object.
Role: To access the data of the hybrid shape combined curve object. This data includes:

Use the HybridShapeFactory object to create a HybridShapeCombine object.


Property Index

Direction1
Returns or sets the first direction used to create the combined curve.
Direction2
Returns or sets the second direction used to create the combined curve.
Elem1
Returns or sets the first curve used to create the combined curve.
Elem2
Returns or sets the second curve used to create the combined curve.
NearestSolution
Returns or sets whether the combined curve is or should be created as the curve closest to the first curve.
SolutionTypeCombine
Returns or sets whether the curves that create the combined curve are or should be extruded along normals to the curve planes or along given directions.

Properties


o Property Direction1() As
Returns or sets the first direction used to create the combined curve. The first direction is the direction along which the first curve is extruded.
Example:
This example sets firstDir as the first direction to create the combined curve hybCombCurve.
 hybCombCurve.Direction1 = firstDir
 
o Property Direction2() As
Returns or sets the second direction used to create the combined curve.
Example:
This example retrieves in secondDir the second direction used to create the combined curve hybCombCurve.
 Dim secondDir As CATIAHybridShapeDirection
 Set secondDir = hybCombCurve.Direction2
 
o Property Elem1() As
Returns or sets the first curve used to create the combined curve.
Sub-element(s) supported (see
Boundary object): TriDimFeatEdge or BiDimFeatEdge.
Example:
This example sets firstCurve as the first curve to create the combined curve hybCombCurve.
 hybCombCurve.Elem1 = firstCurve
 
o Property Elem2() As
Returns or sets the second curve used to create the combined curve.
Sub-element(s) supported (see
Boundary object): TriDimFeatEdge or BiDimFeatEdge.
Example:
This example retrieves in secondCurve the second curve used to create the combined curve hybCombCurve.
 Dim secondCurve As CATIAReference
 Set secondCurve = hybCombCurve.Elem2
 
o Property NearestSolution() As
Returns or sets whether the combined curve is or should be created as the curve closest to the first curve.
Role: The nearest solution indicates whether the created combined curve is the one closest to the first curve if there are several possible combined curves, or if all these possible combined curves are created..
Legal values: 0 for the nearest solution and 1 for all possible solutions.
Example:
This example sets the nearest solution mode to create the combined curve hybCombCurve closest to the first curve.
 hybCombCurve.NearestSolution = 1
 
o Property SolutionTypeCombine() As
Returns or sets whether the curves that create the combined curve are or should be extruded along normals to the curve planes or along given directions.
Role: The curves that make up the combined curve are each extruded along a direction. This direction can be the normal to the curve plane, or can be set to a given direction. This is valid for the two curves altogether.
Legal values: 0 for the normal to the curve planes (default mode), 1 for given directions
Example:
This example sets that the combined curve hybCombCurve should be created by extruding the two curves along the normals to their planes.
 hybCombCurve.SolutionTypeCombine = 0
 

Copyright © 2006, Dassault Systèmes. All rights reserved.